import { OnInit, ElementRef, OnDestroy, EventEmitter, NgZone } from '@angular/core';
import { Subscription } from 'rxjs/Subscription';
import 'rxjs/add/operator/distinctUntilChanged';
import 'rxjs/add/operator/pairwise';
import 'rxjs/add/operator/filter';
import { DraggableHelper } from './draggable-helper.provider';
export interface DropData {
    dropData: any;
}
export declare class DroppableDirective implements OnInit, OnDestroy {
    private element;
    private draggableHelper;
    private zone;
    dragEnter: EventEmitter<DropData>;
    dragLeave: EventEmitter<DropData>;
    dragOver: EventEmitter<DropData>;
    drop: EventEmitter<DropData>;
    currentDragSubscription: Subscription;
    constructor(element: ElementRef, draggableHelper: DraggableHelper, zone: NgZone);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
